GeographicLib: GeoidEval.cpp File Reference

GeographicLib 2.5

Loading...
Searching...
No Matches
Functions
GeoidEval.cpp File Reference

Command line utility for evaluating geoid heights. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Geoid.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/GeoCoords.hpp>`
`#include "GeoidEval.usage"`

Go to the source code of this file.

## Functions
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for evaluating geoid heights.

Copyright (c) Charles Karney (2009-2017) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file GeoidEval.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 28 of file GeoidEval.cpp.

References GeographicLib::Geoid::Cache(), GeographicLib::Geoid::CacheAll(), GeographicLib::Geoid::CacheArea(), GeographicLib::Geoid::CacheEast(), GeographicLib::Geoid::CacheNorth(), GeographicLib::Geoid::CacheSouth(), GeographicLib::Geoid::CacheWest(), GeographicLib::Geoid::DateTime(), GeographicLib::DMS::DecodeLatLon(), GeographicLib::UTMUPS::DecodeZone(), GeographicLib::Geoid::DefaultGeoidName(), GeographicLib::Geoid::DefaultGeoidPath(), GeographicLib::Geoid::Description(), GeographicLib::Geoid::ELLIPSOIDTOGEOID, GeographicLib::Geoid::GeoidFile(), GeographicLib::Geoid::GEOIDTOELLIPSOID, GeographicLib::Geoid::Interpolation(), GeographicLib::UTMUPS::INVALID, GeographicLib::GeoCoords::Latitude(), GeographicLib::GeoCoords::Longitude(), GeographicLib::Geoid::MaxError(), GeographicLib::UTMUPS::MAXZONE, GeographicLib::UTMUPS::MINZONE, GeographicLib::Geoid::NONE, GeographicLib::Geoid::Offset(), GeographicLib::GeoCoords::Reset(), GeographicLib::Geoid::RMSError(), GeographicLib::Geoid::Scale(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), and GeographicLib::Utility::val().